<?php
require_once dirname(__FILE__) . '/SessionDB.php';
/**
 * MySessionDBクラス
 */
class MySessionDB extends SessionDB
{
	/**
	 * 接続設定
	 */
	function setSelf()
	{
		self::$_sqltype = "mysql";
		self::$_host = "localhost";
		self::$_user = "root";
		self::$_pass = "pass";
		self::$_name = "SessionDB";
		self::$_table = "sessions";
	}
	/**
	 * セッションオープン時
	 */
	function open()
	{
		self::setSelf();
	    return parent::open();
	}
	/**
	 * セッションクローズ時
	 */
	function close()
	{
		self::setSelf();
	    return parent::close();
	}
	/**
	 * セッション読み込み時
	 */
	function read($id)
	{
		self::setSelf();
		return parent::read($id);
	}
	/**
	 * セッション書き込み時
	 */
	function write($id, $data)
	{
		self::setSelf();
		return parent::write($id, $data);
	}
	/**
	 * セッション破棄時
	 */
	function destroy($id)
	{
		self::setSelf();
		return parent::destroy($id);
	}
	/**
	 * ガーベージコレクション時
	 */
	function clean($maxlifetime)
	{
		self::setSelf();
		return parent::clean($maxlifetime);
	}
}
session_set_save_handler(array('MySessionDB','open'), array('MySessionDB','close'), array('MySessionDB','read'), array('MySessionDB','write'), array('MySessionDB','destroy'), array('MySessionDB','clean'));
?>